%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: dhdx_m.m
%
% Description: Partial derivative. Used for generation of 
%              the gradient vector. 
%
% Inputs: x_m - current state
%			 u - input signal vector
%
% Outputs: dh/dx(x_m,u) - State sensitivity of output equation
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-05-20.
%					 Updated with input signal vector 2003-12-30.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [dhdx_m]=dhdx_m(x,u);
	dhdx_m=[1 0];
end